API Reference
The Ragora REST API allows you to manage sites, documents, and conversations programmatically. All endpoints require authentication via JWT Bearer token unless noted otherwise.
Base URL
text
https://api.ragora.ai/api/v1Authentication
Include the access token in the Authorization header:
bash
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \\\n https://api.ragora.ai/api/v1/sitesEndpoints
POST
/api/v1/auth/registerRegister a new account
json
{
"tenant_name": "My Company",
"name": "John Doe",
"email": "john@example.com",
"password": "securepassword123"
}POST
/api/v1/auth/loginLogin and get JWT tokens
json
{
"email": "john@example.com",
"password": "securepassword123"
}GET
/api/v1/sitesList all sites (requires auth)
POST
/api/v1/sitesCreate a new site
json
{
"url": "https://example.com",
"name": "My Website"
}POST
/api/v1/documentsUpload a document (multipart/form-data)
GET
/api/v1/conversationsList conversations
GET
/api/v1/analytics/overviewGet analytics overview